
package com.lideeyunji.core.framework.params.vo;


import com.lideeyunji.core.framework.entity.*;
import com.lideeyunji.core.framework.entity.*;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class DbFormConfigVo {
    @Schema(description = "字典配置列表")
    List<FormFieldDictEntity> dictList=new ArrayList<>();

    @Schema(description = "导出配置列表")
    List<FormFieldExportEntity> exportList=new ArrayList<>();

    @Schema(description = "外键配置列表")
    List<FormFieldForeignkeyEntity> foreignkeyList=new ArrayList<>();

    @Schema(description = "界面配置列表")
    List<FormFieldWebEntity> webList=new ArrayList<>();

    @Schema(description = "查询配置列表")
    List<FormFieldQueryEntity> queryList=new ArrayList<>();

    @Schema(description = "表单字典列表")
    List<FormFieldEntity> fieldList=new ArrayList<>();

    @Schema(description = "索引列表")
    List<FormIndexEntity> indexList=new ArrayList<>();

    @Schema(description = "统计顶部配置列表")
    List<FormSummaryEntity> summaryTopList=new ArrayList<>();

    @Schema(description = "统计底部配置列表")
    List<FormSummaryEntity> summaryBottomList=new ArrayList<>();

    @Schema(description = "表单属性列表")
    FormEntity dbForm;



}
